#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname		translit
Summary:	%{modname} - transliterates non-latin character sets to latin
Summary(pl.UTF-8):	%{modname} - translitacja alfabetów niełacińskich do łacińskiego
Name:		%{php_name}-pecl-%{modname}
Version:	0.6.2
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	https://github.com/derickr/pecl-translit/archive/RELEASE_0_6_2.tar.gz
# Source0-md5:	599a00bb624d1ebc8440698aa89585dc
URL:		https://github.com/derickr/pecl-translit
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.650
%if %{with tests}
BuildRequires:	%{php_name}-cli
BuildRequires:	%{php_name}-iconv
%endif
%{?requires_php_extension}
Requires:	%{php_name}-iconv
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-translit < 0.6.1-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allows you to transliterate text in non-latin
characters (such as Chinese, Cyrillic, Greek etc) to latin characters.
Besides the transliteration the extension also contains filters to
upper- and lowercase latin, cyrillic and greek, and perform special
forms of transliteration such as converting ligatures such as the
Norwegian "ae" ligature to separate "ae" characters and normalizing
punctuation and spacing.

%description -l pl.UTF-8
To rozszerzenie umożliwia transliterację tekstu ze znaków
niełacińskich (takich jak chińskie, cyrilica, greckie) na znaki
łacińskie. Oprócz transliteracji rozszerzenie zawiera także filtry na
wielkie i małe litery łacińskie, cyrylicę i greckie oraz wykonuje
specjalne formy transliteracji, takie jak konwersja ligatur takich jak
norweska ligatura "ae" na oddzielne znaki "ae" oraz normalizacja
znaków przestankowych i odstępów.

%prep
%setup -qc
mv pecl-translit-*/* .

%build
phpize
%configure
%{__make}

%if %{with tests}
# simple module load test
%{__php} -n -q \
	-d extension_dir=modules \
	-d extension=%{php_extensiondir}/iconv.so \
	-d extension=%{modname}.so \
	-m > modules.log
grep %{modname} modules.log

cat <<'EOF' > run-tests.sh
#!/bin/sh
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2
exec %{__make} test \
	PHP_EXECUTABLE=%{__php} \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS="iconv" \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh

./run-tests.sh
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Mon Nov 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-translit.git;a=log;h=auto/th/php-pecl-translit-0.6.2-1

* Wed Jan 11 2017 Elan Ruusamäe <glen@delfi.ee> 1e67d64
- run tests

* Wed Jan 11 2017 Elan Ruusamäe <glen@delfi.ee> 3a9bf2c
- up to 0.6.2; php7 support

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 6aaad9c
- obsolete old php name
- release 9 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> a70862c
- php 5.5 rebuild
- release 8 (by relup.sh)

* Wed Jan 29 2014 Jan Rękorajski <baggins@pld-linux.org> a37b140
- release 7 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 3831f6a
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bde1698
- update macros BR

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> f3dfaad
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 72d8bd9
- release 4 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 0a2bff6
- release 3 (by relup.sh)

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> e2a57f8
- release 2 (by relup.sh)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> 382d206
- macros for building for other php versions

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> fba179d
- updated to 0.6.1

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 99d98d5
- spec unify, remove bogus obsolete: this pkg was never named pear

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b4779d0
- release 6

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 781d472
- release 5

* Thu Apr 30 2009 Elan Ruusamäe <glen@pld-linux.org> e68ac81
- release 4

* Thu Apr 30 2009 Elan Ruusamäe <glen@pld-linux.org> 3fce8a4
- depends on iconv php extension; rel 3

* Thu Dec 04 2008 Elan Ruusamäe <glen@pld-linux.org> 68f1498
- release 2

* Thu Dec 04 2008 Elan Ruusamäe <glen@pld-linux.org> 9e53754
- v0.6.0

